

#ifndef _LCBI_DMA_H
#define _LCBI_DMA_H

typedef enum
{
    notOnGoing = 0,
    OnGoing,
} DMA_cycle_status_t;

extern void               Lcbi_DMA_init(void);
extern void               DMA_LoadChannel(uint32_t dst_addr, uint32_t src_addr, uint32_t len);
extern void               DMA_SwTrigger(void);
extern void               DMA_SetReloadConfig(uint32_t RelSrc, uint32_t RelDst, uint32_t RelCnt);
extern DMA_cycle_status_t DMA_GetTransferStatus(void);
extern void               DMA_TransferCompletion_isr(void);

#endif /* _LCBI_DMA_H */
